package ch.psi.daq.queryrest;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * Entry point to our rest-frontend of the data acquisition (DAQ) application which most importantly
 * wires all the @RestController annotated classes.
 */
@SpringBootApplication(
      scanBasePackageClasses = {
            QueryRestApplication.class
      })
//@EnableEncryptableProperties
// http://stackoverflow.com/questions/26655875/spring-boot-redirect-http-to-https
public class QueryRestApplication {

   public static void main(final String[] args) {
      System.getProperties().setProperty("hazelcast.phone.home.enabled", "false");
      SpringApplication.run(QueryRestApplication.class, args);
   }
}
