package ch.psi.daq.test.queryrest.controller;

import org.junit.After;
import org.msgpack.jackson.dataformat.MessagePackFactory;

import com.fasterxml.jackson.databind.ObjectMapper;

import ch.psi.daq.domain.query.response.Response;
import ch.psi.daq.queryrest.response.msgpack.MsgPackHTTPResponse;

/**
 * Tests the {@link DaqController} implementation.
 */
public class MsgPackQueryRestControllerTest extends AbstractQueryRestControllerTest {

   private ObjectMapper responseMapper = new ObjectMapper(new MessagePackFactory());
   
   @After
   public void tearDown() throws Exception {}
   
   @Override
   protected ObjectMapper getResponseMapper(){
      return responseMapper;
   }
   
   @Override
   protected Response getResponse() {
      return new MsgPackHTTPResponse();
   }
}
