package ch.psi.daq.queryrest.response.csv;

import java.util.Map;
import java.util.function.Function;

import ch.psi.daq.common.string.stringifier.Stringifier;
import ch.psi.daq.domain.events.ChannelConfiguration;

public class ConfigFieldStringifyer extends QueryFieldStringifyer implements Function<ChannelConfiguration, String> {

   public ConfigFieldStringifyer(
         final Function<Object, Object> accessor, 
         final String nonValue, 
         final String arraySeparator,
         final Map<Class<?>, Stringifier> stringifiers) {
      super(accessor, nonValue, arraySeparator, stringifiers);
   }

   @Override
   public String apply(ChannelConfiguration config) {
      if (config == null) {
         return getNonValue();
      }

      return toString(getAccessor().apply(config));
   }
}
