package ch.psi.daq.queryrest.response.csv;

import java.util.Map;
import java.util.function.Function;

import ch.psi.daq.common.string.stringifier.Stringifier;
import ch.psi.daq.domain.DataEvent;

public class EventFieldStringifyer extends QueryFieldStringifyer implements Function<DataEvent, String> {

   public EventFieldStringifyer(
         final Function<Object, Object> accessor, 
         final String nonValue, 
         final String arraySeparator,
         final Map<Class<?>, Stringifier> stringifiers) {
      super(accessor, nonValue, arraySeparator, stringifiers);
   }

   @Override
   public String apply(DataEvent event) {
      if (event == null) {
         return getNonValue();
      }

      return toString(getAccessor().apply(event));
   }
}
