package ch.psi.daq.queryrest.response.raw.receive;

public interface MessageReader<C, V> {

   /**
    * Establishes the connection.
    * 
    * @param state The ReceiverState
    */
   void connect(final ReceiverState<C, V> state);

   /**
    * Reads the value bytes of a channel.
    */
   void readNext();

   /**
    * Stop receiving and close resources.
    */
   void close();
}
