package ch.psi.daq.queryrest.response.raw.receive;

import ch.psi.daq.domain.json.BackendChannel;
import ch.psi.daq.queryrest.response.raw.event.serialize.ConfigValuesHolder;

public interface ReceiverState<C, V> extends ConfigValuesHolder<C, V> {

   boolean stop();

   boolean isRunning();

   long getHash();

   void setHash(long hash);

   void init();

   boolean hasValues();

   void add(BackendChannel channel, V value);

   Message<C, V> getMessage();
}
