package ch.psi.daq.queryrest.response.raw.serialize;

import java.nio.ByteBuffer;
import java.util.Collection;

import ch.psi.daq.domain.events.ChannelConfiguration;
import ch.psi.daq.queryrest.response.raw.IdProvider;

public interface RawBlobSerializer<C, V> extends IdProvider {

   void configure(final C config, final ChannelConfiguration channelConfig);
   
   void serialize(final V value, final Collection<ByteBuffer> buffers);
}
