package ch.psi.daq.test.queryrest.controller;

import org.junit.After;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.dataformat.smile.SmileFactory;

import ch.psi.daq.domain.query.response.Response;
import ch.psi.daq.queryrest.response.smile.SmileHTTPResponse;

/**
 * Tests the {@link DaqController} implementation.
 */
public class SmileQueryRestControllerTest extends AbstractQueryRestControllerTest {

   private ObjectMapper responseMapper = new ObjectMapper(new SmileFactory());

   @After
   public void tearDown() throws Exception {}
   
   @Override
   protected ObjectMapper getResponseMapper(){
      return responseMapper;
   }
   
   @Override
   protected Response getResponse() {
      return new SmileHTTPResponse();
   }
}
